## org.apache.batik.gvt.text
Class GVTACIImpl.TransformAttributeFilter

    java.lang.Object
      org.apache.batik.gvt.text.GVTACIImpl.TransformAttributeFilter

All Implemented Interfaces:
  GVTAttributedCharacterIterator.AttributeFilter

Enclosing class:
  GVTACIImpl

public class GVTACIImpl.TransformAttributeFilter
extends java.lang.Object
implements GVTAttributedCharacterIterator.AttributeFilter

AttributeFilter which converts (extended) location attributes SVGAttributedCharacterIterator.TextAttribute.X, TextAttribute.Y, TextAttribute.ROTATE attributes to TextAttribute.TRANSFORM attributes.

Constructor Summary
`GVTACIImpl.TransformAttributeFilter()`

Method Summary
`java.text.AttributedCharacterIterator` `mutateAttributes(java.text.AttributedCharacterIterator aci)` Return a new AttributedCharacterIterator instance in which location attributes have been converted to TextAttribute.TRANSFORM attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GVTACIImpl.TransformAttributeFilter

    public GVTACIImpl.TransformAttributeFilter()

Method Detail

### mutateAttributes

    public java.text.AttributedCharacterIterator mutateAttributes(java.text.AttributedCharacterIterator aci)

  Return a new AttributedCharacterIterator instance in which location attributes have been converted to TextAttribute.TRANSFORM attributes.

  Specified by:
    `mutateAttributes` in interface `GVTAttributedCharacterIterator.AttributeFilter`
  Parameters:
    `aci` - an AttributedCharacterIterator whose attributes are to be modified.
  Returns:
    an instance of AttributedCharacterIterator with mutated attributes.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.